Page MenuHomePhabricator

Create ‘extendedconfirmed’ on no.wikipedia
Open, Stalled, LowPublic

Description

Hi,

A majority at no.wikipedia wants to start using the 'extendedconfirmed' group, see voting at https://no.wikipedia.org/w/index.php?title=Wikipedia:Tinget&oldid=18482053#Forslag_1_om_begrensning_av_oversetterfunksjonaliteten

Please create this group, configured the same way as it is at en.wikipedia. If I'm not mistaken, it should have autopromotion after 30 days/500 edits, be implicitly granted to sysops, and be grantable/revokable by sysops.

Event Timeline

Kjetil created this task.May 3 2018, 10:19 PM
Restricted Application added subscribers: jeblad, Danmichaelo, Aklapper. · View Herald TranscriptMay 3 2018, 10:19 PM
jeblad added a comment.EditedMay 4 2018, 5:39 AM

I am not sure about this. The reason why they want this group created is to block use of ContentTranslation, by blocking publishing of translated articles, which will have an impact on 2552 users. There are five users voting for the change, and one against it (me). The users voting for the change are not regular users of CX, some of them has not tried the tool at all, and only one that cast its vote within the period has used the tool more than once.

In my opinion this has to much consequences (ie what they want to do, not the change requested) given the number of users impacted, and given the number of users that has cast votes. I can't remember any case where something needing an official policy has been put in place at the project with less cast votes.

I have tried to convince the users to open a dialogue with the devs of ContentTranslation for better solutions, but the involved users have refused to do so. The proper solution would be to implement throttling as part of CX, not to block publishing after a user has translated an article. Some time ago I tried to describe this issue in T186996 and T162410.

This request should probably be discussed with devs from the CX team.

jeblad added a comment.EditedMay 4 2018, 6:58 AM

Note that I would not block this change, but I am seriously concerned about the detrimental effect of this change, especially on new users.


The graph shows how the number of new users has fallen to less than a third on the project.

Johan mentioned this in Unknown Object (Task).May 5 2018, 8:55 PM

Community has voted against use of autopromote for patroller and autopatroller, where autopatroller is a role with slightly less potential for abuse than extendedconfirmed and patroller slightly higher.

There are few oldtimers active now, and it will continue to fall until end of August. I would say restart the discussion in the Autumn. Perhaps the community can agree on something more sensible.

@jeblad : How is your comment about the community's reluctance to autopromote partrollers and autopatrollers relevant when this phabricator is about the community's wish to start using extendedconfirmed?

Asav added a subscriber: Asav.May 21 2018, 8:14 AM

There is a broad consensus in the Norwegian edition that machine translated text are a serious detriment to quality and a burden on bona fide editors. This was clearly shown by the discussion leading up to the final vote. The fact is that Jeblad has been the only user who has resisted a restriction of the (practically unusable, at least for translations to Norwegian) Translate function.

The fact that few people actually vote in matters such as this most certainly does not indicate any missing consensus in this matter.

Thus, I request that the developers respect the community's wishes and restrict translation rights to an extendedconfirmed user group.

Thank you.

jeblad added a comment.EditedJun 2 2018, 6:11 PM

@Kjetil Ref T193813#4209585 it is the same function for autopromote as you requested, and the community said no to use of autopromote. (The few that voted should be sufficient as the outcome was no.)

@Asav There are five users that voted for, one user voted against, and one user voted after the voting had ended and should be flagged as invalid. Compare this to the usual minimum limit of 25 cast votes.

Note that I don't have any final voice on this, I only try to state the obvious.

No.wikipedia should be able to present bigger consensus that the consensus than it presented. Therefore, I'm inclined to mark this task as invalid.

Why I think this: Nowiki is bigger than cswiki [my home wiki, where I'm bureaucrat] (when talking about number of admins/bureaucrats) or about the same like cswiki (when talking about number of active editors), so similar requirements for votings/elections can be required. Cswiki have no formal voting policies, just RfA policy, which require 25 users (together, including users who abstain).

In this voting, 7 users voted, including the user who voted after the voting ended (in cswiki, those votes can be ignored only when other reasons exist). Even more, in this voting, it is intended as restriction of tool that is newcomer friendly and experienced users usually create articles directly. So it is intended as de facto closing the feature at all.

I really cannot (from moral side, as I'm Czech community ambassador for New Editors Experiences, so I'd say x and do y) implement a feature that is de facto disabling newcomer friendly tool. As I know it is possible to do this by other methods, I'd also like to recommend the community to re-consider this change at all.

I think that this should be approved by the team that take care about Content Translation.

Best regards,
Martin Urbanec

Urbanecm changed the task status from Open to Stalled.Jun 2 2018, 6:32 PM
Urbanecm triaged this task as Low priority.

Pending for discussions.

Asav added a comment.Jun 3 2018, 1:40 AM

So Urbanecm takes it upon himself to overrule a decision made by a majority at a Wikipedia edition he is compeletely unfamiliar with based on his spurious experiences with an edition he actually is able to read.

In doing so, he promotes his own, completely unfounded, view that the translation functionality is a "newcomer friendly tool", while indeed the consensus at the Norwegian edition is the opposite, ie. that it's a detriment to that edition's quality.

The Norwegian community has spoken in the matter after a thorough discussion and has no need to "reconsider" its decision. Wikimedia's technical team is there to implement the needs of Wikipedia users, not to partake in discussions it's entirely unqualified to have a voice in.

Finally, parts of Urbancm's rant are incomprehensible, such as the statement "I think that this should be approved by the team that take care about Content Translation.", which certainly does not make the matter any better,

Again, please implement this as rtequested by the Norwegian Wikipedia community. Thank you.

A bit more courtesy may be warranted.

Asav added a comment.Jun 3 2018, 8:35 AM

A bit more respect for Wikipedia's users might be warranted.

@Asav: Urbanecm explained why he won't work on this and explained why he has concerns and his opinion. He did that without personally attacking or accusing you of anything. Please read https://www.mediawiki.org/wiki/Code_of_Conduct and https://www.mediawiki.org/wiki/Bug_management/Phabricator_etiquette if you'd like to participate in Phabricator - thank you.

Asav added a comment.Jun 3 2018, 12:17 PM

@Aklapper: No, Urbanecm did far more than just explain his reasoning. He actually changed the status of this task, thus in reality stalling any further progression. And again, he did this in blatant disregard of the Wikipedia community that is negatively affected by the detrimental consequences of the translation funcionality.

@Asav If a task is "Stalled", it generally means it is waiting on something. This task is indeed waiting on somebody with enough authority (almost all wiki configuration changes are processed by volunteers like you and me) to say if it is possible or not.

Unfortunately, Wikipedia community cannot have full authority on deciding how wikis should be configured. Why? Changing configuration can bring some problems (like security, performance or legal ones). Those problems sometimes cannot be fully assessed by the community because it might require some special knowledge that Wikipedia community isn't required to have or it might require access to confidential information. Those problems are to be assessed by the system administrators (and I'm not one of them) who have full authority on processing site requests. System administrators are paid for having enough technical knowledge, have access to all information they might need and know who they can ask if they need to know more about some system (because there is a lot of systems and nobody can know everything). This is described at https://meta.wikimedia.org/wiki/Requesting_wiki_configuration_changes, it isn't just my opinion. Yes, usually system administrators process what community want (because usually it isn't problematic), but they can decline such requests if there is a reason.

I'm not saying this is for sure this case. I wanted to say that I don't feel confortable enough to process this change (and so, I'm not going to process it - which is my right as a volunteer). I also wanted to say that I'd appreciate formal approval from the team that take care about Content Translation (which I think is the closest one).

I hope you will understand me.

Best regards,
Martin Urbanec

Aklapper added a comment.EditedJun 4 2018, 10:50 AM

Generally speaking, note that https://meta.wikimedia.org/wiki/Limits_to_configuration_changes exists. (I don't have an opinion if that applies here or not.)

@Asav: This is my second request to you to please criticize ideas, not people. Thanks.

Vvjjkkii renamed this task from Create ‘extendedconfirmed’ on no.wikipedia to mndaaaaaaa.Jul 1 2018, 1:12 AM
Vvjjkkii changed the task status from Stalled to Open.
Vvjjkkii raised the priority of this task from Low to High.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed a subscriber: Aklapper.
Restricted Application added a subscriber: Dereckson. · View Herald TranscriptJul 1 2018, 1:12 AM
CommunityTechBot renamed this task from mndaaaaaaa to Create ‘extendedconfirmed’ on no.wikipedia.Jul 2 2018, 3:41 PM
CommunityTechBot changed the task status from Open to Stalled.
CommunityTechBot lowered the priority of this task from High to Low.
CommunityTechBot updated the task description. (Show Details)
CommunityTechBot edited subscribers, added: Aklapper; removed: Dereckson.